---
repos:
  - repo: https://github.com/psf/black
    rev: 22.10.0
    hooks:
      - id: black
        exclude: ^test/etc
        args: ["--line-length", "79"]
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.4.0
    hooks:
      - id: end-of-file-fixer
        exclude: ^test/etc|svg$
      - id: trailing-whitespace
        args: ["--chars", " \t"]
        exclude: ^test/etc
      - id: check-merge-conflict
        exclude: ^test/etc
      - id: check-yaml
        exclude: ^mnemosyne/
      - id: debug-statements
        exclude: ^test/etc
      - id: mixed-line-ending
      - id: check-executables-have-shebangs
  - repo: https://github.com/pycqa/flake8
    rev: 5.0.4
    hooks:
      - id: flake8
        exclude: ^test/etc
  - repo: https://github.com/shellcheck-py/shellcheck-py
    rev: v0.8.0.4
    hooks:
      - id: shellcheck
        args: ['-x']
